﻿* Encoding: UTF-8.

*Homework Syntax*.
*HW7-24 Cal*. 
*Runs on PPIC June 2023 Data*.
*Uses Immig questions*.

weight by weight. 
*DV*.
*Recode & Relabel Immig Cal Questions*.
recode q32 (1=1) (2=0) into benefit.
value labels benefit 1 'benefit' 0 'burden'.

recode q33 (1=1) (2 =0) into daca.
value labels daca 1 'favor' 0 'oppose'.

recode q34 (1=1) (2=0) into path.
value labels path 1 'favor' 0 'oppose'.

recode q35 (1=1) (2=0) into health.
value labels health 1 'favor' 0 'oppose'.

*Constructing an Immigration Index -- alpha = .823*.
compute RawImm4 = (benefit + daca + path + health).
  
*IVs*.
*Recode & Relabel gender, ethn, age, educ, income interest, party, ideol*.

*NB gender replaced by dummy below.*
*recode gender (1=0) (2=1) into female.
*value labels female 1 'female' 0 'male'.

*Note-not placed on 0-1 metric..
recode race (3=1) (4=2) (else =3) into ethn.
value labels ethn 1 'Latinx' 2 'White' 3 'other'.

recode d1a (1=0) (2= .2) (3= .4) (4=.6) (5=.8) (6=1) into age.
value labels age 0 '18+' .2 '25+' .4 '35+' .6 '45+' .8 '55+' 1 '65+'.

recode educ (1=0) (2=.25) (3=.5) (4=.75) (5=1) into educR.
value labels educR 0 '<hs' .25 'hs' .5 'col' .75 'grad' 1 'post'.

recode d11 (1 =0) (2=.17) (3=.34) (4=.5) (5=.66) (6=.83) (7=1) into income.
value labels income 0 '<$20k' .17 '$20k+' .34 '$40k+' .5 '$60k+' .66 '$80k+' .83 '$100k+' 1 '$200k+' .

recode county (8,12,23,49,1,7,21,28,38,41,43,48,49,44,27,40=1)
(42, 56, 3, 30, 37 = 2) (else = 3) into coastal.
value labels coastal 1 'NorthCent Coast' 2 'South Coast' 3 'Inland'.

recode q76 (1=1) (2=.66) (3=.33) (4=0) into interest.
value labels interest 0 'none' .33 'only a little' .66 'fair amount' 1 'great deal'.

recode q75 (1=1) (2=.75) (3= .5 ) (4=.25) (5= 0) into liberal5. 
value labels liberal5 1 'vlib' .75 'liberal'.5  'middle' .25 'conserv' 0 'vcons'.
.
*5 Category Party measure (adapted from from lab 7)*. 
if (q70a = 2) and (q71a =1) Democrat5 =0. 
if (q70a = 2) and (q71a =2) Democrat5 =.25. 
if (q70a = 4) Democrat5 =.5. 
if (q70a=1) and (q71 =2) Democrat5 = .75. 
if (q70a =1) and (q71=1) Democrat5 =1. 
value labels Democrat5 0 'strRep' .25 'Rep' .5 'Indep' .75 'Dem' 1 'strDem'.

*MULTIPLE REGERESSION 1*.
*age, educ, Income Raw Demographics Regrassion*.
regression variables=RawImm4 age educR income
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = RawImm4
  /method = enter age educR income.

*Creating Dummies for age inc educ*.
*Age dummy*.
recode age (0, .2, .4= 0) (.6, .8, 1= 1) into age2.
recode age2 ( 0=1) (else =0) into agelt45.
recode age2 (1 =1) (else = 0) into agegt45. 

*income dummy*.  
recode income (0, .17, .34 = 0) (.5, .66, .83 = .5) (1=1) into inc3.
fre var inc3.
recode inc3 (0 = 1) (else = 0) into k40.
recode inc3 (.5 = 1) (else = 0) into k100. 
recode inc3 (1 = 1) (else = 0) into k200. 

*education dummy*.
*Creating dummies for  educR..
recode educR (0, .25=1) (else =0) into hs.
recode educR (.5 =1) (else=0) into college.
recode educR (.75, 1=1) (else=0) into grad.

*MULTIPLE REGERESSION 2*.
*3 Demographics Dummies Regrassion*.
regression variables=RawImm4 agelt45 agegt45 k40 k100 k200 hs college grad 
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = RawImm4
  /method = enter agelt45 k40 k200 hs grad.

*Additional 3 demographic dummies*.
*Creating dummies for female -replacing previous gender recode*.
recode gender (1=1) (else =0) into male.
recode gender (2=1) (else=0)  into female.

*Creating dummies for Ethnicity.
recode ethn (1=1) (else =0) into Hisp.
recode ethn (2=1) (else =0) into white.
recode ethn (3=1) (else =0) into other.

*Creating dummies for Region.
recode county (8,12,23,49,1,7,21,28,38,41,43,48,49,44,27,40=1)
(42, 56, 3, 30, 37 = 2) (else = 3) into coastal.
value labels coastal 1 'NorthCent Coast' 2 'South Coast' 3 'Inland'.
recode coastal (1=1) (else = 0) into Ncoast.
recode coastal (2=1) (else = 0) into Scoast.
recode coastal (3=1) (else = 0) into inland.

*MULTIPLE REGERESSION 3*.
*Regression with 6 Demographics*.
regression variables=RawImm4 agelt45 agegt45 hs college grad female male Hisp white other Ncoast Scoast inland
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = RawImm4
  /method = enter female agelt45 hs grad female Hisp white Ncoast Scoast.

*MULTIPLE REGERESSION 4*.
*Regression with 6 Demographics and 3 Political Variables*.
regression variables=RawImm4 agelt45 agegt45 hs college grad female male Hisp white other Ncoast Scoast inland Democrat5 liberal5 interest
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = RawImm4
  /method = enter female agelt45 hs grad female Hisp white Ncoast Scoast Democrat5 liberal5 interest.
